/*
 *  CPPObject.h
 *  CPPAppKitTest
 *
 *  Created by Dan Libisch on 3/19/12.
 *  Copyright 2012 Libisch Graphic Design. All rights reserved.
 *
 */

#ifndef _CPP_OBJECT_H_
#define _CPP_OBJECT_H_

#include "CPPGlobals.h"


// base class for AppKit wrappers
class CPPObject : public CPPNode
{
protected:
	// objective-c id's
	id nsObjPtr; // pointer to the NSObject
	
public:
	
	CPPObject() { nsObjPtr = NULL; }
	virtual ~CPPObject() { nsObjPtr = NULL; }
	
	id GetNSObjectPointer(void) { return nsObjPtr; }
	
};


#endif