/*
 *  Grid.h
 *  CPPAppKitTest
 *
 *  Created by Dan Libisch on 3/2/12.
 *  Copyright 2012 Dan Libisch. All rights reserved.
 *
 */

#ifndef _GRID_H_
#define _GRID_H_

#include "CPPGlobals.h"

class Grid : public CPPNode
{
private:
    int width;
    int step;
    int group;
	
	float scale;
	
	bool displayAxis;
	bool visible;
	
public:
	Grid();
	virtual ~Grid();
	
	virtual void Draw(void);
	
	void SetWidth(int w);
	void SetStep(int s);
	void SetGroup(int g);
	void SetScale(float sca);
	
	void EnableAxis(bool flag);
	void SetVisibility(bool flag);
	bool IsVisible(void);
};

#endif