/*
 *  CPPAutoreleasePool.mm
 *  CPPAppKitTest
 *
 *  Created by Dan Libisch on 3/2/12.
 *  Copyright 2012 Dan Libisch. All rights reserved.
 *
 */

#include <AppKit/AppKit.h>

#include "CPPAutoreleasePool.h"


/*****************************************************************************/
// CPPAutoreleasePool Objective-C call functions

CPPAutoreleasePool::CPPAutoreleasePool()
{
}

CPPAutoreleasePool::~CPPAutoreleasePool()
{
}

void CPPAutoreleasePool::New(void)
{
	[NSAutoreleasePool new];
}

void CPPAutoreleasePool::Alloc(void)
{
	nsObjPtr = [[NSAutoreleasePool alloc] init];
}

void CPPAutoreleasePool::Release(void)
{
	[nsObjPtr release];
}

void CPPAutoreleasePool::Drain(void)
{
	[nsObjPtr drain];
}