/*
 *  CPPMessage.h
 *  CPPAppKitTest
 *
 *  Created by Dan Libisch on 3/5/12.
 *  Copyright 2012 Dan Libisch. All rights reserved.
 *
 */

#ifndef _CPP_MESSAGE_H_
#define _CPP_MESSAGE_H_

class CPPMessage
{
public:
	int		msg;
	void	*data;
	
	CPPMessage()
	{ msg = 0; data = NULL; }
	
	~CPPMessage()
	{ data = NULL; }
};


// cpp messages
enum
{
	cppGenericMessage = 0,
	
	// application messages
	cppApplicationShouldTerminate,
	cppApplicationWillTerminate,
	cppTerminateApplication,
	cppMainWindowClosesApplication,
	
	// window messages
	cppWindowShouldClose,
	cppWindowWillClose,
	cppWindowDidResize,
	cppWindowDidMove,
	
	cppResizeContent,
	
	// control messages
	cppControlActivate,
	cppControlDeactivate
	
};


#endif